%global gemdir %{gem_dir}
%global gemname diff-lcs
%global	gem_name %{gemname}
%global geminstdir %{gem_instdir}

%global	rubyabi	1.9.1

Summary:        Provide a list of changes between two sequenced collections
Name:           rubygem-%{gemname}
Version:        1.1.2
Release:        7%{?dist}
Group:          Development/Languages
License:        GPLv2+ or Ruby or Artistic
URL:            http://rubyforge.org/projects/ruwiki/
Source0:        http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
Requires:       ruby(abi) = %{rubyabi}
Requires:       rubygems
BuildRequires:  rubygems-devel
BuildRequires:	rubygem(minitest)
BuildRequires:	ruby(abi) = %{rubyabi}
BuildArch:      noarch
Provides:       rubygem(%{gemname}) = %{version}

%description
Diff::LCS is a port of Algorithm::Diff that uses the McIlroy-Hunt longest
common subsequence (LCS) algorithm to compute intelligent differences between
two sequenced enumerable containers. The implementation is based on Mario I.
Wolczko's Smalltalk version (1.2, 1993) and Ned Konz's Perl version
(Algorithm::Diff).

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation

Requires:	%{name} = %{version}-%{release}

%description	doc
This package contains documentation for %{name}.

%prep
%setup -q -c  -T
mkdir -p .%{gemdir}
gem install --local --install-dir .%{gemdir} \
	-V \
        --force --rdoc %{SOURCE0}


%build


%install
mkdir -p $RPM_BUILD_ROOT%{gemdir}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}

cp -a .%{gemdir}/* $RPM_BUILD_ROOT%{gemdir}

mv $RPM_BUILD_ROOT%{gemdir}/bin/* $RPM_BUILD_ROOT/%{_bindir}
rmdir $RPM_BUILD_ROOT%{gemdir}/bin
find $RPM_BUILD_ROOT%{geminstdir}/bin -type f |xargs chmod a+x

# We strip bad shebangs (/usr/bin/env) instead of fixing them
# since these files are not executable anyways
find $RPM_BUILD_ROOT%{gemdir} \( -name '*.rb' -o -name 'Rakefile' \) \
        -exec grep -q '^#!' '{}' \; -print |while read F
do
        awk '/^#!/ {if (FNR == 1) next;} {print}' $F >chopped
        touch -r $F chopped
        mv chopped $F
done

%check
pushd .%{geminstdir}
ruby -Ilib tests/*.rb

%files
%{_bindir}/ldiff
%{_bindir}/htmldiff
%dir %{geminstdir}
%{geminstdir}/bin
%{geminstdir}/lib
%{geminstdir}/[A-Z]*
%exclude %{geminstdir}/Rakefile
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%{geminstdir}/Rakefile
%{geminstdir}/tests/
%{gemdir}/doc/%{gemname}-%{version}


%changelog
* Sun Jan 22 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.1.2-7
- Rebuild against ruby 1.9

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 26 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 1.1.2-3
- Get rid of duplicate files (thanks to Mamoru Tasaka)

* Mon Jun 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 1.1.2-2
- Depend on ruby(abi)
- Replace defines with globals

* Fri Jun 05 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 1.1.2-1
- Package generated by gem2rpm
- Strip useless shebangs
- Fix up License
